Name:			hatari
Version:		1.3.1
%define distsuffix	plf
Release:		%mkrel 1

Summary:	An Atari ST emulator
License:	GPLv2+
Group:		Emulators
URL:		http://hatari.berlios.de/
Source0:	http://prdownload.berlios.de/%{name}/%{name}-%{version}.tar.bz2
Patch0:		hatari-1.3.1-desktopfile-install.patch

BuildRequires:	SDL-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Hatari is an Atari ST and STE emulator.
The Atari ST was a 16/32 bit computer system which was first released by
Atari in 1985. Using the Motorola 68000 CPU, it was a very popular computer
having quite a lot of CPU power at that time. Unlike many other Atari ST
emulators which try to give you a good environment for running GEM
applications, Hatari tries to emulate the hardware of a ST as close as
possible so that it is able to run most of the old ST games and demos.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q
%patch0 -p1

%build
%configure --datarootdir=%{_datadir} --datadir=%{_datadir}/%{name}
%make
pushd tools/hmsa
make
popd

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}

#fr man pages
install -d -m 755 %{buildroot}/%{_mandir}/fr/man1
install -m 644 doc/fr/%{name}.1 %{buildroot}/%{_mandir}/fr/man1/

#install more tools
install -m 755 tools/hmsa/hmsa %{buildroot}/%{_bindir}
install -m 755 tools/atari-hd-image.sh \
  %{buildroot}/%{_bindir}/atari-hd-image
install -m 755 tools/hatari-local-midi-ring.sh \
  %{buildroot}/%{_bindir}/hatari-local-midi-ring

#desktop file
desktop-file-install --vendor="" \
  --remove-key="Version" \
  --remove-key="Encoding" \
  --add-category="Emulator" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_docdir}

%files
%defattr(-,root,root)
%doc readme.txt doc/{*.{txt,html},images} doc/fr/*.txt tools/hmsa/*.txt
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1*
%attr(0755,root,root) %{_bindir}/%{name}*
%attr(0755,root,root) %{_bindir}/hmsa
%attr(0755,root,root) %{_bindir}/zip2st
%attr(0755,root,root) %{_bindir}/atari-hd-image
%attr(0755,root,root) %{_bindir}/hatari-local-midi-ring
%{_datadir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}-icon.png
%{_datadir}/applications/%{name}ui.desktop

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}

%postun
%{clean_menus}
%endif

%changelog
* Sat Sep  5 2009 Guillaume Bedot <littletux@zarb.org> 1.3.1-1plf2010.0
- Release 1.3.1
- Drop string-literal patch
- Add hatariui, new menu item and more doc and tools

* Mon Jan 26 2009 Guillaume Bedot <littletux@zarb.org> 1.2.0-1plf2009.1
- Release 1.2.0
- Fix menu tip
- Add zip2st

* Tue Jan  6 2009 Guillaume Bedot <littletux@zarb.org> 1.1.0-2plf2009.1
- Fix build for cooker

* Tue Jan  6 2009 Guillaume Bedot <littletux@zarb.org> 1.1.0-1plf2009.1
- New release 1.1.0

* Thu Apr 17 2008 Guillaume Bedot <littletux@zarb.org> 1.0.1-1plf2008.1
- 1.0.1

* Wed Mar 19 2008 Guillaume Bedot <littletux@zarb.org> 1.0.0-2plf2008.1
- fix 2007.1 build

* Tue Mar 18 2008 Guillaume Bedot <littletux@zarb.org> 1.0.0-1plf2008.1
- Release 1.0.0, build fixes, icon comment

* Mon May 14 2007 Guillaume Bedot <littletux@zarb.org> 0.95-1plf2008.0
- First PLF package

